%kmdl atl1e

Summary: Driver for Atheros L1E Gigabit Ethernet NICs
Name: atl1e
Version: 1.0.1.14
Release: 2%{?dist}
License: GPLv2
Group: System Environment/Kernel
URL: http://www.atheros.com/
Source0: AR81Family-linux-v%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
%kmdl_parentdependencies

%description

%package -n %kmdl_name
%kmdl_dependencies
Summary: kernel modules for %{name}.
Group: System Environment/Kernel

%description -n %kmdl_name
kernel modules for %{name}. See description for %{name} for further information.

%kmdl_desc

%prep
%setup -q -n AR81Family-linux-v%{version}

%build
%kmdl_config
%if %{kmdl_userland}

%else

echo %{_kpkgname} %{kmdl_userland}
make -C %{kmdl_kernelsrcdir} SUBDIRS=`pwd`/src KSRC=%{kmdl_kernelsrcdir} modules
#make KSRC=%{kmdl_kernelsrcdir}

%endif

%install
rm -rf %{buildroot}
%if %{kmdl_userland}

mkdir -p %{buildroot}%{_mandir}/man7
install -p atl1e.7 %{buildroot}%{_mandir}/man7

%else

make -C %{kmdl_kernelsrcdir} SUBDIRS=`pwd`/src KSRC=%{kmdl_kernelsrcdir} INSTALL_MOD_PATH=%{buildroot} modules_install
mkdir -p %{buildroot}%{kmdl_moduledir}
if [ -d %{buildroot}%{kmdl_moduledir}/../extra ]; then
  mkdir -p %{buildroot}%{kmdl_moduledir}/drivers/net
  mv %{buildroot}%{kmdl_moduledir}/../extra/* %{buildroot}%{kmdl_moduledir}/drivers/net/
fi

%endif

%clean
rm -rf %{buildroot}

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%doc release_note.txt readme pci.updates
%{_mandir}/man7/atl1e.7*

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%{kmdl_moduledir}

%endif

%changelog
* Thu Jan  5 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.1.14-1
- Initial build.

